## net.sf.snowball
Class SnowballProgram

    java.lang.Object
      net.sf.snowball.SnowballProgram

Direct Known Subclasses:
  DanishStemmer, DutchStemmer, EnglishStemmer, FinnishStemmer, FrenchStemmer, German2Stemmer, GermanStemmer, ItalianStemmer, KpStemmer, LovinsStemmer, NorwegianStemmer, PorterStemmer, PortugueseStemmer, RussianStemmer, SpanishStemmer, SwedishStemmer

    public class SnowballProgram

extends Object

Field Summary
`protected int` `bra`
`protected StringBuffer` `current`
`protected int` `cursor`
`protected int` `ket`
`protected int` `limit`
`protected int` `limit_backward`

Constructor Summary
`protected` `SnowballProgram()`

Method Summary
`protected StringBuffer` `assign_to(StringBuffer s)`
`protected void` `copy_from(SnowballProgram other)`
`protected boolean` `eq_s_b(int s_size, String s)`
`protected boolean` `eq_s(int s_size, String s)`
`protected boolean` `eq_v_b(StringBuffer s)`
`protected boolean` `eq_v(StringBuffer s)`
`protected int` `find_among_b(Among[] v, int v_size)`
`protected int` `find_among(Among[] v, int v_size)`
`String` `getCurrent()` Get the current string.
`protected boolean` `in_grouping_b(char[] s, int min, int max)`
`protected boolean` `in_grouping(char[] s, int min, int max)`
`protected boolean` `in_range_b(int min, int max)`
`protected boolean` `in_range(int min, int max)`
`protected void` `insert(int c_bra, int c_ket, String s)`
`protected void` `insert(int c_bra, int c_ket, StringBuffer s)`
`protected boolean` `out_grouping_b(char[] s, int min, int max)`
`protected boolean` `out_grouping(char[] s, int min, int max)`
`protected boolean` `out_range_b(int min, int max)`
`protected boolean` `out_range(int min, int max)`
`protected int` `replace_s(int c_bra, int c_ket, String s)`
`void` `setCurrent(String value)` Set the current string.
`protected void` `slice_check()`
`protected void` `slice_del()`
`protected void` `slice_from(String s)`
`protected void` `slice_from(StringBuffer s)`
`protected StringBuffer` `slice_to(StringBuffer s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### current

    protected StringBuffer current

### cursor

    protected int cursor

### limit

    protected int limit

### limit_backward

    protected int limit_backward

### bra

    protected int bra

### ket

    protected int ket

Constructor Detail

### SnowballProgram

    protected SnowballProgram()

Method Detail

### setCurrent

    public void setCurrent(String value)

  Set the current string.

### getCurrent

    public String getCurrent()

  Get the current string.

### copy_from

    protected void copy_from(SnowballProgram other)

### in_grouping

    protected boolean in_grouping(char[] s,
                                  int min,
                                  int max)

### in_grouping_b

    protected boolean in_grouping_b(char[] s,
                                    int min,
                                    int max)

### out_grouping

    protected boolean out_grouping(char[] s,
                                   int min,
                                   int max)

### out_grouping_b

    protected boolean out_grouping_b(char[] s,
                                     int min,
                                     int max)

### in_range

    protected boolean in_range(int min,
                               int max)

### in_range_b

    protected boolean in_range_b(int min,
                                 int max)

### out_range

    protected boolean out_range(int min,
                                int max)

### out_range_b

    protected boolean out_range_b(int min,
                                  int max)

### eq_s

    protected boolean eq_s(int s_size,
                           String s)

### eq_s_b

    protected boolean eq_s_b(int s_size,
                             String s)

### eq_v

    protected boolean eq_v(StringBuffer s)

### eq_v_b

    protected boolean eq_v_b(StringBuffer s)

### find_among

    protected int find_among(Among[] v,
                             int v_size)

### find_among_b

    protected int find_among_b(Among[] v,
                               int v_size)

### replace_s

    protected int replace_s(int c_bra,
                            int c_ket,
                            String s)

### slice_check

    protected void slice_check()

### slice_from

    protected void slice_from(String s)

### slice_from

    protected void slice_from(StringBuffer s)

### slice_del

    protected void slice_del()

### insert

    protected void insert(int c_bra,
                          int c_ket,
                          String s)

### insert

    protected void insert(int c_bra,
                          int c_ket,
                          StringBuffer s)

### slice_to

    protected StringBuffer slice_to(StringBuffer s)

### assign_to

    protected StringBuffer assign_to(StringBuffer s)

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.